Bug 1288224 - add yaml option to run with answers file w/o prompting
add yaml option to run with answers file w/o prompting
Status: VERIFIED
Product: Red Hat Quickstart Cloud Installer
Classification: Red Hat
Component: fusor-installer (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity medium
: TP2
: 1.0
Assigned To: jkim
Tasos Papaioannou
: Triaged
: 1217526 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 16:54 EST by Dave Johnson
Modified: 2016-04-29 12:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Johnson 2015-12-03 16:54:39 EST
Description of problem:
============================
For the test automation, we want to populate an answers file for fusor-installer and allow it to run without prompting for input.  Currently it detect the answers file and populates the interactive menu but still wants someone to chose option #1 (proceed with the above values).  QE would like an optional kvp to tell the installer to run with these values without the prompt.
Comment 1 jkim 2015-12-10 10:47:14 EST
running the fusor installer with the "provisioning-wizard" option defined to "non-interactive" provides a way to run it without user interaction

steps to run without user interaction:

(1) take the answers file and place them in to the /etc/katello-installer folder
(2) run the fusor installer as follows
 fuser-installer --provisioning-wizard=non-interactive
Comment 2 Tasos Papaioannou 2016-01-25 16:38:34 EST
VERIFIED on RHCI-6.0-RHEL-7-20160118.t.1.

# ls /etc/katello-installer/fusor-installer.answers.yaml
/etc/katello-installer/fusor-installer.answers.yaml

# fusor-installer --provisioning-wizard=non-interactive
Starting networking setup
Networking setup has finished
NTP sync host is ok
Installing             Done                                               [100%]
[...]
#
Comment 3 John Matthews 2016-02-15 15:36:27 EST
*** Bug 1217526 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.